@import '../../styles/mixins.scss';

.ProductContainer {
  display: flex;
  background: #ffffff;
  border: 4px solid #762f9f;
  max-width: 300px;
}

.Product {
  position: relative;
  padding: 10px;
  display: flex;
  gap: 6px;
  flex-direction: column;
  justify-content: space-between;
}

.img {
  img {
    width: 100%;
    height: 20%;
    object-fit: cover;
  }
}

.body {
  padding: 0px;
}

.title {
  font-size: 14px;
  text-align: center;
  padding: 10px 0;
  color: #762f9f;
  font-weight: bold;
}

.article {
  font-size: 12px;
  color: #762f9f;
}

.color {
  font-size: 12px;
  color: #762f9f;
}

.bottom {
  display: flex;
  gap: 10px;
  justify-content: right;
  padding-top: 8px;
  border-top: 2px solid #762f9f;
}
.actions {
  display: flex;
  align-items: center;
  gap: 10px;
}

.basket,
.star {
  cursor: pointer;
  transition: all 300ms ease;
}

.basket {
  display: flex;
  align-items: center;
  gap: 4px;
}

.inBasketTxt {
  font-size: 14px;
  color: #762f9f;
  font-weight: bold;
  text-transform: uppercase;
}

.inBasketCount {
  font-size: 16px;
  color: #762f9f;
  font-weight: bold;
  text-transform: uppercase;
}

.star {
  position: absolute;
  // right: 10px;
}

.price {
  text-align: center;
  font-size: 18px;
  color: #1479d8;
  font-weight: bold;
}

.modalAddBasket {
  display: flex;
  font-weight: normal;
  gap: 10px;

  .title,
  .price {
    padding: 0;
    font-size: 14px;
    color: #fff;
  }

  .sds {
    color: #cc1934;
    background: #1c8646;
  }
}
